Productsup
CDE APIApi referenceManagement

Create a new organization.

Sign in to run requests against the CDE API.
POST
/organizations

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/organizations" \  -H "Content-Type: application/json" \  -d '{    "name": "Valid - Name_1"  }'
{
  "message": "Successfully created a new organization.",
  "resource": "organization",
  "data": {
    "uuid": "60041ff4-94f1-4b41-86c6-d3fc08ae9765",
    "name": "Valid - Name_1",
    "connectors-limit": 10,
    "members": [],
    "notification-config": null,
    "dev-defaults": null,
    "prod-defaults": null
  }
}
{
  "message": "Bad request.",
  "errors": {
    "name": "Organization name can contain only letters, numbers, dash, underscore and spaces."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?